summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xautogen.sh12
1 files changed, 11 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index f90c49de20a..f2ffe5eb87b 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -11,10 +11,20 @@ check_for_pkg_config() {
exit 1
}
+if [ `which libtoolize` ]; then
+ LIBTOOLIZE=libtoolize
+elif [ `which glibtoolize` ]; then
+ LIBTOOLIZE=glibtoolize
+else
+ echo "Error: could not find libtoolize"
+ echo " Please install libtoolize or glibtoolize."
+ exit 1
+fi
+
rm -f config.cache
aclocal -I m4 --install
check_for_pkg_config
-libtoolize --force --copy
+$LIBTOOLIZE --force --copy
autoconf
autoheader
automake -a --add-missing -Wall